Bug 1048902 - (CVE-2017-11334) VUL-0: CVE-2017-11334: kvm,qemu: exec: oob access during dma operation allowing for DoS
(CVE-2017-11334)
VUL-0: CVE-2017-11334: kvm,qemu: exec: oob access during dma operation allow...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Fei Li
Security Team bot
https://smash.suse.de/issue/188574/
CVSSv2:SUSE:CVE-2017-11334:1.9:(AV:L...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-17 08:39 UTC by Johannes Segitz
Modified: 2022-02-13 10:40 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Bruce Rogers 2017-07-25 17:17:36 UTC
This is upstream qemu commit id 04bf2526ce87f21b32c9acba1c5518708c243ad0.
Comment 2 Bruce Rogers 2017-08-14 17:37:53 UTC
(In reply to Bruce Rogers from comment #1)
> This is upstream qemu commit id 04bf2526ce87f21b32c9acba1c5518708c243ad0.

Also, an issue (lock management) was identified with this patch, which is rectified with commit id f5aa69bdc3418773f26747ca282c291519626ece.
Comment 3 Swamp Workflow Management 2017-09-11 19:08:27 UTC
SUSE-SU-2017:2416-1: An update that solves four vulnerabilities and has four fixes is now available.

Category: security (important)
Bug References: 1011144,1031692,1046636,1047674,1048296,1048902,1049381,1050268
CVE References: CVE-2017-10664,CVE-2017-10806,CVE-2017-11334,CVE-2017-11434
Sources used:
SUSE Linux Enterprise Server 12-SP3 (src):    qemu-2.9.0-6.3.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    qemu-2.9.0-6.3.1
Comment 4 Swamp Workflow Management 2017-09-17 22:09:35 UTC
openSUSE-SU-2017:2513-1: An update that solves four vulnerabilities and has four fixes is now available.

Category: security (important)
Bug References: 1011144,1031692,1046636,1047674,1048296,1048902,1049381,1050268
CVE References: CVE-2017-10664,CVE-2017-10806,CVE-2017-11334,CVE-2017-11434
Sources used:
openSUSE Leap 42.3 (src):    qemu-2.9.0-32.4, qemu-linux-user-2.9.0-32.1, qemu-testsuite-2.9.0-32.4
Comment 5 Swamp Workflow Management 2017-11-06 20:08:44 UTC
SUSE-SU-2017:2936-1: An update that solves 12 vulnerabilities and has four fixes is now available.

Category: security (important)
Bug References: 1043176,1043808,1046636,1047674,1048902,1049381,1054724,1056334,1057378,1057585,1057966,1059369,1062069,1062942,1063122,997358
CVE References: CVE-2017-10664,CVE-2017-10806,CVE-2017-10911,CVE-2017-11334,CVE-2017-11434,CVE-2017-12809,CVE-2017-13672,CVE-2017-14167,CVE-2017-15038,CVE-2017-15268,CVE-2017-15289,CVE-2017-9524
Sources used:
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    qemu-2.6.2-41.22.2
SUSE Linux Enterprise Server 12-SP2 (src):    qemu-2.6.2-41.22.2
SUSE Linux Enterprise Desktop 12-SP2 (src):    qemu-2.6.2-41.22.2
Comment 6 Swamp Workflow Management 2017-11-07 05:12:49 UTC
openSUSE-SU-2017:2941-1: An update that solves 12 vulnerabilities and has four fixes is now available.

Category: security (important)
Bug References: 1043176,1043808,1046636,1047674,1048902,1049381,1054724,1056334,1057378,1057585,1057966,1059369,1062069,1062942,1063122,997358
CVE References: CVE-2017-10664,CVE-2017-10806,CVE-2017-10911,CVE-2017-11334,CVE-2017-11434,CVE-2017-12809,CVE-2017-13672,CVE-2017-14167,CVE-2017-15038,CVE-2017-15268,CVE-2017-15289,CVE-2017-9524
Sources used:
openSUSE Leap 42.2 (src):    qemu-2.6.2-31.9.1, qemu-linux-user-2.6.2-31.9.1, qemu-testsuite-2.6.2-31.9.2
Comment 7 Swamp Workflow Management 2017-11-08 11:13:48 UTC
SUSE-SU-2017:2946-1: An update that solves 33 vulnerabilities and has two fixes is now available.

Category: security (important)
Bug References: 1020427,1021741,1025109,1025311,1028184,1028656,1030624,1032075,1034866,1034908,1035406,1035950,1036211,1037242,1037334,1037336,1039495,1042159,1042800,1042801,1043073,1043296,1045035,1046636,1047674,1048902,1049381,1054724,1056334,1057378,1057585,1062069,1063122,994418,994605
CVE References: CVE-2016-6834,CVE-2016-6835,CVE-2016-9602,CVE-2016-9603,CVE-2017-10664,CVE-2017-10806,CVE-2017-10911,CVE-2017-11334,CVE-2017-11434,CVE-2017-12809,CVE-2017-13672,CVE-2017-14167,CVE-2017-15038,CVE-2017-15289,CVE-2017-5579,CVE-2017-5973,CVE-2017-5987,CVE-2017-6505,CVE-2017-7377,CVE-2017-7471,CVE-2017-7493,CVE-2017-7718,CVE-2017-7980,CVE-2017-8086,CVE-2017-8112,CVE-2017-8309,CVE-2017-8379,CVE-2017-8380,CVE-2017-9330,CVE-2017-9373,CVE-2017-9374,CVE-2017-9375,CVE-2017-9503
Sources used:
SUSE OpenStack Cloud 6 (src):    qemu-2.3.1-33.3.3
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    qemu-2.3.1-33.3.3
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    qemu-2.3.1-33.3.3
Comment 8 Swamp Workflow Management 2017-11-10 08:08:59 UTC
SUSE-SU-2017:2963-1: An update that solves 23 vulnerabilities and has 6 fixes is now available.

Category: security (important)
Bug References: 1020427,1021741,1025109,1028184,1028656,1030624,1031051,1034044,1034866,1034908,1035406,1035950,1037242,1038396,1039495,1042159,1042800,1042801,1043296,1045035,1046636,1047674,1048902,1049381,1049785,1056334,1057585,1062069,1063122
CVE References: CVE-2016-9602,CVE-2016-9603,CVE-2017-10664,CVE-2017-10806,CVE-2017-11334,CVE-2017-11434,CVE-2017-13672,CVE-2017-14167,CVE-2017-15038,CVE-2017-15289,CVE-2017-5579,CVE-2017-5973,CVE-2017-6505,CVE-2017-7471,CVE-2017-7493,CVE-2017-7718,CVE-2017-7980,CVE-2017-8086,CVE-2017-8309,CVE-2017-9330,CVE-2017-9373,CVE-2017-9375,CVE-2017-9503
Sources used:
SUSE Linux Enterprise Server 11-SP4 (src):    kvm-1.4.2-60.3.1
Comment 9 Swamp Workflow Management 2017-11-10 08:23:07 UTC
SUSE-SU-2017:2969-1: An update that solves 29 vulnerabilities and has two fixes is now available.

Category: security (important)
Bug References: 1020427,1021741,1025109,1025311,1026612,1028184,1028656,1030624,1032075,1034866,1034908,1035406,1035950,1036211,1037242,1039495,1042159,1042800,1042801,1043296,1045035,1046636,1047674,1048902,1049381,1056334,1057585,1062069,1063122,994418,994605
CVE References: CVE-2016-6834,CVE-2016-6835,CVE-2016-9602,CVE-2016-9603,CVE-2017-10664,CVE-2017-10806,CVE-2017-11334,CVE-2017-11434,CVE-2017-13672,CVE-2017-14167,CVE-2017-15038,CVE-2017-15289,CVE-2017-2633,CVE-2017-5579,CVE-2017-5973,CVE-2017-5987,CVE-2017-6505,CVE-2017-7377,CVE-2017-7471,CVE-2017-7493,CVE-2017-7718,CVE-2017-7980,CVE-2017-8086,CVE-2017-8112,CVE-2017-8309,CVE-2017-9330,CVE-2017-9373,CVE-2017-9375,CVE-2017-9503
Sources used:
SUSE Linux Enterprise Server 12-LTSS (src):    qemu-2.0.2-48.34.3
Comment 10 Swamp Workflow Management 2017-11-24 20:17:00 UTC
SUSE-SU-2017:3084-1: An update that solves 33 vulnerabilities and has 7 fixes is now available.

Category: security (important)
Bug References: 1013285,1014109,1014111,1014702,1015048,1016779,1020427,1021129,1021741,1023004,1023053,1023907,1024972,1025109,1028184,1028656,1030624,1031051,1034044,1034866,1034908,1035406,1035950,1037242,1038396,1039495,1042159,1042800,1042801,1043296,1045035,1046636,1047674,1048902,1049381,1049785,1056334,1057585,1062069,1063122
CVE References: CVE-2016-10155,CVE-2016-9602,CVE-2016-9603,CVE-2016-9776,CVE-2016-9907,CVE-2016-9911,CVE-2016-9921,CVE-2016-9922,CVE-2017-10664,CVE-2017-10806,CVE-2017-11334,CVE-2017-11434,CVE-2017-13672,CVE-2017-14167,CVE-2017-15038,CVE-2017-15289,CVE-2017-2615,CVE-2017-2620,CVE-2017-5579,CVE-2017-5856,CVE-2017-5898,CVE-2017-5973,CVE-2017-6505,CVE-2017-7471,CVE-2017-7493,CVE-2017-7718,CVE-2017-7980,CVE-2017-8086,CVE-2017-8309,CVE-2017-9330,CVE-2017-9373,CVE-2017-9375,CVE-2017-9503
Sources used:
SUSE Linux Enterprise Server 11-SP3-LTSS (src):    kvm-1.4.2-53.11.1
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    kvm-1.4.2-53.11.1
Comment 11 Swamp Workflow Management 2017-12-21 20:10:39 UTC
SUSE-RU-2017:3403-1: An update that has two recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1048902,1069178
CVE References: 
Sources used:
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    qemu-2.6.2-41.28.1
SUSE Linux Enterprise Server 12-SP2 (src):    qemu-2.6.2-41.28.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    qemu-2.6.2-41.28.1
Comment 12 Swamp Workflow Management 2017-12-22 20:18:13 UTC
openSUSE-RU-2017:3426-1: An update that has two recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1048902,1069178
CVE References: 
Sources used:
openSUSE Leap 42.2 (src):    qemu-2.6.2-31.15.1, qemu-linux-user-2.6.2-31.15.1, qemu-testsuite-2.6.2-31.15.2
Comment 13 Johannes Segitz 2018-02-15 11:16:01 UTC
fixed